Skip to main content
`Ctrl`+`K`

# TSIRKGetType

Get the type of `TSIRK` IMEX scheme being used

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSIRKGetType(TS ts, TSIRKType *irktype)

Logically Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- irktype - type of `TSIRK` IMEX scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSIRK`, `TSIRKType`, `TSIRKGAUSS`

## Level

intermediate

## Location

src/ts/impls/implicit/irk/irk.c

## Implementations

TSIRKGetType_IRK() in src/ts/impls/implicit/irk/irk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages